Bug 129463 - /var/lock/rpm/transaction not relocatible
/var/lock/rpm/transaction not relocatible
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-09 10:57 EDT by Christof
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-07 17:46:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christof 2004-08-09 10:57:04 EDT
Description of problem:

I face a problem with rpm 4.3.x in that the transaction locking does
try to lock the file /var/lock/rpm/transaction regardless of the
dbpath or any prefix. In fact rpmlock_new() from rpm/lib/rpmlock.c
takes a "rootdir" as an argument, however RPMLOCK_FILE is not
relocated to it.

I guess the transaction file should relocate to the rpm database
directory, otherwise you could still face race conditions on, for
example, a diskless client, when installing rpms from the server and
from the client at the same time. 
Version-Release number of selected component (if applicable):


How reproducible:

use rpm without root priviliges and relocate to a directory where you
have write permissions

Steps to Reproduce:
1.
2.
3.
  
Actual results:

fails to get a lock on /var/lock/rpm/transaction


Expected results:

the file transaction should be relocated to where the rpm database is
relocated to.

Additional info:

please let me know if you need more info
Comment 1 Christof 2004-08-12 04:45:05 EDT
see also: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=129700
Comment 2 Anders F Björklund 2004-09-22 11:24:51 EDT
Patch to relocate to "%{_dbpath}/Transactionlock" is in Bug 129700
Comment 3 Jeff Johnson 2005-02-07 17:46:45 EST
Fixed in rpm-4.4.1-0.18.

Note You need to log in before you can comment on or make changes to this bug.